7

I am installing Emacs 24.5.0, and I want to install it with X. I am on Fedora. the configuration script cannot find any x-toolkit. How do I find out which one is good for me, and in which folder do I find it?

Somewhere I have read that the x-toolkit for fedora should be gtk. How can I check if and where this library is installed?

  • You'll need the X development package, probably named something like xorg-devel, in order to compile. – nanny Apr 29 '15 at 19:15
  • If this question is about Fedora or gtk, it probably should be on something like Super User (or Unix and Linux). I see that you asked the same question yesterday on Stack Overflow, and they put it on hold and suggested Super User as well. Would you like me to migrate it for you? – Dan Apr 30 '15 at 17:06
  • actually they also suggested to migrate it to Emacs-SE. I will migrate to Unix and Linux – simona Apr 30 '15 at 17:50
  • 1
    GTK is most probably installed on any GNU/Linux box, so that should be a safe bet. It's also the most modern toolkit for emacs. – Tassilo Horn May 7 '15 at 20:14
  • 2
    Note, if you tend to use Emacs in daemon mode a lot you might want to heed this warning (printed when emacsclient first starts). > Warning: due to a long standing Gtk+ bug bugzilla.gnome.org/show_bug.cgi?id=85715 Emacs might crash when run in daemon mode and the X11 connection is unexpectedly lost. Using an Emacs configured with --with-x-toolkit=lucid does not have this problem. – Joe Corneli Jun 15 '15 at 22:49
6

In the release log of emacs:(http://www.gnu.org/software/emacs/news/NEWS.24.5)

* Installation Changes in Emacs 24.3

** The default X toolkit is now Gtk+ version 3.

If you don't pass `--with-x-toolkit' to configure, or if you use
`--with-x-toolkit=gtk' or `--with-x-toolkit=yes', configure will try
to build with Gtk+ version 3, and if that fails, try Gtk+ version 2.
You can explicitly require a specific version by passing
`--with-x-toolkit=gtk2' or `--with-x-toolkit=gtk3' to configure.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.